import { Component, EventEmitter, Input, Output } from '@angular/core';
import { FormsModule } from '@angular/forms';

@Component({
  selector: 'app-emp-count',
  standalone: true,
  imports: [FormsModule],
  templateUrl: './emp-count.component.html',
  styleUrl: './emp-count.component.css'
})
export class EmpCountComponent {

  @Input()
  all:number=30;

  @Input()
  male:number=20;

  @Input()
  female:number=10;

  selectedRadioButtonValue:string='All';


  @Output()
  countRadioButtonSelectionChanged:EventEmitter<string>=new EventEmitter<string>();


  onRadioButtonChange(){
   // console.log('Clicked Radio Button is ===>  ' + this.selectedRadioButtonValue);
    this.countRadioButtonSelectionChanged.emit(this.selectedRadioButtonValue);
  }


}
